@import "config/config";


.btn, button {
  margin-top: 20px;
  text-align: center;
  padding-top: 15px;
  padding-bottom: 20px;

  a,
  a:link,
  a:visited{
    font-family: $small_headline_font;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 10px;
    font-size: 14px;
    color: $kix_green;
    text-decoration: none;
    box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.2);
    border: none;
  }
  
  &-lg {
      a,
      a:visited,
      a:link{
         padding: 15px 30px 15px 30px;
         font-size: 15px;
      }
  }
  
  &-white {
      a,
      a:visited,
      a:link{
         background-color: $white;
         color: $kix_green !important;
         border: none !important;
      }
   }

  &-transparent {
    a,
    a:visited,
    a:link{
      background-color: transparent;
      color: $white !important;
      border: 1px solid $white !important;
    }
  }

   &.text-blue {
      a,
      a:visited,
      a:link{
         color: $kix_blue;
         background-color: $white;
         border: none;
      }
   }

  @media (min-width: 768px) {
    a {
      padding: 8px;
      padding-left: 15px;
      padding-right: 15px;
      box-shadow: none;
      border-radius: 10px;
    }
    a:link,
    a:visited{
      color: $light_grey_text;
      border: 1px solid $light_grey_text;
      text-decoration: none;
      box-shadow: none;
    }
    a:hover{
      color: $kix_green;
      text-decoration: none;
      box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.2);
      border: none;
    }
  }
}

button {
    color: $light_grey_text;
    border: 1px solid $light_grey_text;
    text-decoration: none;
    box-shadow: none;
    font-family: $small_headline_font;
    text-decoration: none;
    padding: 12px 30px;
    border-radius: 10px;
    font-size: 14px;
    background-color: $white;
    cursor: pointer;
    
    &:hover {
      color: $kix_green;
      text-decoration: none;
      box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.2);
      border-color: transparent;
    }
}

/*
div.btn {
  padding: 8px;
  padding-left: 15px;
  padding-right: 15px;
  border-radius: 10px;
  border: 0px;
  box-shadow: -2px 2px 5px silver;
  border-radius: 10px;

  a {
    font-size: 14px;
    font-family: $main_font;
    color: $kix_green;
    text-decoration: none;
  }

  @media (min-width: 768px) {
    margin: 20px;
    padding: 8px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 10px;
    border: 1px solid $light_grey_text;
    box-shadow: none;

    a:link,
    a:visited{
      font-size: 14px;
      font-family: $main_font;
      color: $light_grey_text;
      text-decoration: none;
    }

    a:hover {
      border: 0px;
      box-shadow: -2px 2px 5px silver;
      border-radius: 10px;
      font-size: 14px;
      font-family: $main_font;
      color: $kix_green;
      text-decoration: none;
    }
  }

}*/

